<?php

$por_utilizacion = 0.0;
$por_objetivo = 0.0;
$por_limite_complemento = 0.0;
$por_acumulado = 0.0;

$hoy = (date("m/d/Y"));
$mes = (date("m"));
$anno = (date("Y"));
$retorno= false;

$client = $_POST["usu"];


$conexion3 = odbc_connect('KCHAPP', 'resdis', '00reset') or die(odbc_errormsg());

$sql_por_objetivo = "SELECT _por_objetivo ('".$client."','".$mes."','".$anno."') as objetivo,_por_utilidad ('".$client."','".$mes."','".$anno."') as utilidad,
_lim_cpra_dpto_mes ('".$client."','".$mes."','".$anno."', 4) as limite,
_por_util_anu ('".$client."','".$anno."') as acumulado
 FROM objetivos WHERE cliente = '".$client."' AND mes     = '".$mes."' ;";
$res_por_objetivo = odbc_exec($conexion3, $sql_por_objetivo);
while($row_objetivo = odbc_fetch_array($res_por_objetivo)) {
	$por_objetivo = ROUND($row_objetivo['objetivo'],2,PHP_ROUND_HALF_UP);
	$por_utilizacion = ROUND($row_objetivo['utilidad'],2,PHP_ROUND_HALF_UP);
	$por_limite_complemento =  ROUND($row_objetivo['limite'],2,PHP_ROUND_HALF_UP);
	$por_acumulado = ROUND($row_objetivo['acumulado'],2,PHP_ROUND_HALF_UP);
	$retorno = true;
}
IF ($por_utilizacion == 0 ) {
$por_utilizacion = 0;
}else	{
$por_utilizacion = 100 - $por_utilizacion;
}
IF ($por_acumulado == 0 ) {
$por_acumulado = 0;	
}else{
$por_acumulado = 100 - $por_acumulado;
}

if ($retorno) {
echo '

	<div div data-role=\"popup\" id=\"popup-choix\" data-history=\"false\" data-overlay-theme=\"a\" data-transition=\"flow\" data-position-to=\"window\" style="font-size:18px;">
	   <ul class=\'ui-group-theme-b\'>
		<li style="font-size:18px;"><b>ERROR COMPRA MES '.$por_utilizacion.'% </b></li>  
		<li style="font-size:18px;"><b>OBJETIVO ALCANZADO MES '.$por_objetivo.'% </b></li>
		<li style="font-size:18px;"><b>LIMITE GASTO COMPLEMENTO '.$por_limite_complemento.'% </b></li>	   		
		<li style="font-size:18px;"><b>ERROR COMPRA ANUAL '.$por_acumulado.'% </b></li>  
	   </ul>
	</div>';
}else{
	echo false;
}
?>